Bug 1405617 - VLC does not see upnp resources
Summary: VLC does not see upnp resources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libupnp
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-16 21:01 UTC by Eugene Saenko
Modified: 2018-04-11 09:33 UTC (History)
5 users (show)

Fixed In Version: libupnp-1.6.21-1.fc25 libupnp-1.6.21-1.fc24 libupnp-1.6.21-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-13 23:51:25 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Eugene Saenko 2016-12-16 21:01:04 UTC
Description of problem:

VLC doesn't see upnp resources in LAN/


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Start VLC
2. Click Playlist button
3. Select UPnP under Local network

Actual results:

See blank window on the right side


Expected results:

List of available upnp-servers in the LAN.


Additional info:
When VLC is started from terminan (e.g. Konsole) there are messages:

[00007fd64c54f808] upnp services discovery: Initializing libupnp on 'default' interface
[00007fd64c54f808] upnp services discovery error: Initialization failed: UPNP_E_SOCKET_BIND
[00007fd64c54f808] core services discovery error: no suitable services discovery module
[00007fd64c54e7c8] upnp services discovery: Initializing libupnp on 'default' interface
[00007fd64c54e7c8] upnp services discovery error: Initialization failed: UPNP_E_SOCKET_BIND
[00007fd64c54e7c8] core services discovery error: no suitable services discovery module

in the terminal window.

Comment 1 Eugene Saenko 2016-12-18 10:47:30 UTC
Reply from rpmfusion's bugzilla:

https://bugzilla.rpmfusion.org/show_bug.cgi?id=4381#c5

libupnp is compiled for ipv6 which breaks ipv4 support, please file your report against libupnp instead.

Comment 2 Michael Cronenworth 2017-03-02 22:48:38 UTC
The fix for this is in 1.6.21.

@Ajax, do you have time to push an update? If not, I can push an updated package.

Comment 3 Fedora Update System 2017-03-07 19:37:13 UTC
libupnp-1.6.21-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c29702300

Comment 4 Fedora Update System 2017-03-07 19:38:27 UTC
libupnp-1.6.21-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3bd0b2e2c0

Comment 5 Fedora Update System 2017-03-07 21:03:35 UTC
libupnp-1.6.21-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-23535a31f8

Comment 6 Fedora Update System 2017-03-08 14:53:58 UTC
libupnp-1.6.21-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3bd0b2e2c0

Comment 7 Fedora Update System 2017-03-08 14:54:55 UTC
libupnp-1.6.21-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c29702300

Comment 8 Eugene Saenko 2017-03-09 08:40:43 UTC
libupnp-1.6.21-1.fc25.x86_64 works OK with vlc-3.0.0-0.16.fc25.x86_64

Comment 9 Fedora Update System 2017-03-10 15:21:46 UTC
libupnp-1.6.21-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-03-10 23:20:34 UTC
libupnp-1.6.21-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-23535a31f8

Comment 11 Fedora Update System 2017-03-13 23:51:25 UTC
libupnp-1.6.21-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-04-01 16:51:29 UTC
libupnp-1.6.21-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Eugene Saenko 2018-04-11 09:33:37 UTC
]libupnp-1.6.21-1.fc26.x86_64
libupnp-1.6.21-1.fc26.i686
Work OK


Note You need to log in before you can comment on or make changes to this bug.